import * as React from 'react';
import { DateTimePickerProps } from '@mui/lab';
import { BaseComponentProps } from '../../base/base-component-props';
import { DistributiveOmit } from '@mui/types';
export type WDateTimePickerProps = BaseComponentProps & DistributiveOmit<DateTimePickerProps, "renderInput"> & {
    fullWidth?: boolean;
    format?: string;
    renderInput?: DateTimePickerProps["renderInput"];
};
export declare const WDateTimePicker: React.FC<WDateTimePickerProps>;
